Внимание!
Не все расширения для phpBB 3.2 совместимы с phpBB 3.3, главным образом из-за неверного синтаксиса в определениях сервисов (отсутствия обрамляющих кавычек - '...').
Перед обновлением необходимо убедиться в совместимости всех расширений.
Рекомендуется предварительно тестировать обновление на копии конференции (локально или на сервере).

[Автоматический установщик модов] AutoMOD

Поддержка старых модов или модов, созданных авторами не из нашего сообщества, а также любые вопросы, связанные с модами для phpBB 3.0.x, кроме относящихся к форуму Для авторов (phpBB 3.0.x).
Правила форума
Местная Конституция | Шаблон запроса | Документация (phpBB3) | Переход на 3.0.6 и выше | FAQ-3 (phpbb3) | Как задавать вопросы | Как устанавливать моды

Ваш вопрос может быть удален без объяснения причин, если на него есть ответы по приведённым ссылкам (а вы рискуете получить предупреждение ;) ).
Аватара пользователя
rxu
phpBB Guru
phpBB Guru
Сообщения: 15213
Стаж: 14 лет 4 месяца
Откуда: Красноярск
Благодарил (а): 393 раза
Поблагодарили: 1786 раз

[Автоматический установщик модов] AutoMOD

Сообщение rxu »

AutoMOD - программное обеспечение для автоматической установки модов формата MODX для phpBB 3.0.x.
Загрузка и описание доступны на странице AutoMOD.
Актуальная версия AutoMOD: 1.0.2

Данная тема создана в целях поддержки AutoMOD. Об ошибках можно сообщать в AutoMOD (MOD Tools) Bug Tracker.

Внимание!
AutoMOD предназначен для установки модификаций только phpBB 3.0.x.
Не устанавливайте AutoMOD на конференции phpBB 3.1.x!
В ветке phpBB 3.1 моды были заменены расширениями: [FAQ] Как устанавливать расширения.

Скачать AutoMOD можно на странице загрузки.
Скачать русификацию можно здесь: http://www.phpbbguru.net/files/mods/loc ... s/automod/.

Edit 26.01.2009 Вышел AutoMOD 1.0.0 Beta 2.
Edit 14.05.2009 Вышел AutoMOD 1.0.0-RC1.
Edit 28.04.2010 Вышел AutoMOD 1.0.0-RC4
Edit 19.11.2012 Вышел АвтоМод 1.0.1
Edit 02.12.2012 Вышел АвтоМод 1.0.2
Последний раз редактировалось LavIgor 27.06.2015 23:41, всего редактировалось 12 раз.
Причина: Удалена неактуальная локализация.
Изображение
Аватара пользователя
Sheer
phpBB Guru
phpBB Guru
Сообщения: 11607
Стаж: 13 лет 7 месяцев
Откуда: Калининград не Кенигсберг
Благодарил (а): 54 раза
Поблагодарили: 2627 раз

Re: [Автоматический установщик модов] AutoMOD

Сообщение Sheer »

Diviya писал(а): если нужно 3.1.3 поставить то поставим
Что ставить - решать вам. Нужно - ставьте. Не нужно - не ставьте. Определитесь сначала, что вам вообще нужно.
Изображение
Общие ошибки новичков (07.11.2005) & Как задавать вопросы
Мини FAQ
Если ничто другое не помогает, прочтите, наконец, инструкцию!
"Никакая инструкция не может перечислить всех обязанностей должностного лица, предусмотреть все отдельные случаи и дать вперёд соответствующие указания, а поэтому господа инженеры должны проявить инициативу и, руководствуясь знаниями своей специальности и пользой дела, принять все усилия для оправдания своего назначения".
Циркуляр Морского технического комитета №15 от 29.11.1910 г.
Аватара пользователя
xisp
phpBB 3.0.0 RC7
Сообщения: 1799
Стаж: 8 лет 4 месяца
Благодарил (а): 152 раза
Поблагодарили: 215 раз
Забанен: Бессрочно

Re: [Автоматический установщик модов] AutoMOD

Сообщение xisp »

Diviya писал(а): Там уже без модов можно обойтись?
Ага. Там расширения, которые ставятся без правок кода и не требуют автомода (который глюк и костыль). Если интересующий вас функционал есть в виде расширений для 3.1- выбор однозначен (для вас).
phpBBex
coconut6
phpBB 1.0.0
Сообщения: 2
Стаж: 4 года 4 месяца

Re: [Автоматический установщик модов] AutoMOD

Сообщение coconut6 »

Всем доброго времени суток. Никак не могу запустить установку AutoMOD. Что можно сделать? Выдает такую ошибку:

Код: Выделить всё

[phpBB Debug] PHP Warning: in file [ROOT]/umil/umil.php on line 157: include(../includes/db/db_tools.php): failed to open stream: No such file or directory
[phpBB Debug] PHP Warning: in file [ROOT]/umil/umil.php on line 157: include(): Failed opening '../includes/db/db_tools.php' for inclusion (include_path='.;d:/openserver/modules/php/PHP-5.6;d:/openserver/modules/php/PHP-5.6/PEAR/pear')

Fatal error: Class 'phpbb_db_tools' not found in D:\OpenServer\domains\dobroletschool.local\phpbb\umil\umil.php on line 159
Аватара пользователя
Sumanai
phpBB 3.0.0 RC5
Сообщения: 1668
Стаж: 5 лет 10 месяцев
Благодарил (а): 268 раз
Поблагодарили: 220 раз

Re: [Автоматический установщик модов] AutoMOD

Сообщение Sumanai »

Чую, вы её запускаете на 3.1.
Аватара пользователя
Sheer
phpBB Guru
phpBB Guru
Сообщения: 11607
Стаж: 13 лет 7 месяцев
Откуда: Калининград не Кенигсберг
Благодарил (а): 54 раза
Поблагодарили: 2627 раз

Re: [Автоматический установщик модов] AutoMOD

Сообщение Sheer »

Вне всякого сомнения.
Изображение
Общие ошибки новичков (07.11.2005) & Как задавать вопросы
Мини FAQ
Если ничто другое не помогает, прочтите, наконец, инструкцию!
"Никакая инструкция не может перечислить всех обязанностей должностного лица, предусмотреть все отдельные случаи и дать вперёд соответствующие указания, а поэтому господа инженеры должны проявить инициативу и, руководствуясь знаниями своей специальности и пользой дела, принять все усилия для оправдания своего назначения".
Циркуляр Морского технического комитета №15 от 29.11.1910 г.
coconut6
phpBB 1.0.0
Сообщения: 2
Стаж: 4 года 4 месяца

Re: [Автоматический установщик модов] AutoMOD

Сообщение coconut6 »

Sumanai писал(а): Чую, вы её запускаете на 3.1.
Получается, что так. И каков же выход из ситуации?
Аватара пользователя
LavIgor
Поддержка
Поддержка
Сообщения: 3468
Стаж: 6 лет 4 месяца
Благодарил (а): 41 раз
Поблагодарили: 931 раз

Re: [Автоматический установщик модов] AutoMOD

Сообщение LavIgor »

coconut6 писал(а): И каков же выход из ситуации?
Удалить все файлы AutoMOD (например, восстановив форум из резервной копии) и устанавливать желаемые расширения по инструкции: [FAQ] Как устанавливать расширения.

Вернуться в «Поддержка модов для phpBB 3.0.x»